Page MenuHomePhabricator

Exclude (or make it possible to exclude) SQL query profiling from xhprof output
Closed, ResolvedPublic

Description

They are too numerous for our Graphite stack to handle at the moment, and thus a blocker for re-enabling XHProf.

Event Timeline

ori created this task.May 20 2015, 8:32 PM
ori assigned this task to aaron.
ori raised the priority of this task from to Needs Triage.
ori updated the task description. (Show Details)
ori added a subscriber: ori.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2015, 8:32 PM

@ori: Associating a project is highly welcome so the task will show up in search results.

ori triaged this task as Normal priority.May 21 2015, 5:35 PM
ori set Security to None.
ori added a subscriber: fgiunchedi.

Change 212582 had a related patch set uploaded (by Legoktm):
Improve ProfilerXhprof's blacklist/whitelist capabilities

https://gerrit.wikimedia.org/r/212582

Change 212582 merged by jenkins-bot:
Improve ProfilerXhprof's blacklist/whitelist capabilities

https://gerrit.wikimedia.org/r/212582

Change 212804 had a related patch set uploaded (by Ori.livneh):
Improve ProfilerXhprof's blacklist/whitelist capabilities

https://gerrit.wikimedia.org/r/212804

Change 212805 had a related patch set uploaded (by Ori.livneh):
Improve ProfilerXhprof's blacklist/whitelist capabilities

https://gerrit.wikimedia.org/r/212805

Change 212804 merged by Ori.livneh:
Improve ProfilerXhprof's blacklist/whitelist capabilities

https://gerrit.wikimedia.org/r/212804

Change 212805 merged by Ori.livneh:
Improve ProfilerXhprof's blacklist/whitelist capabilities

https://gerrit.wikimedia.org/r/212805

Change 212808 had a related patch set uploaded (by Ori.livneh):
Re-enable xhprof profiling

https://gerrit.wikimedia.org/r/212808

Change 212808 merged by jenkins-bot:
Re-enable xhprof profiling

https://gerrit.wikimedia.org/r/212808

aaron closed this task as Resolved.Aug 4 2015, 6:25 PM